Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas adapters(SAS3.5 onwards)

Bug #1838751 reported by Anand Lodnoor on 2019-08-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]

Latest megaraid_sas and mpt3sas adapters which support Resizable BAR with 1 MB BAR size fails to initialize during system resume from S3 sleep.

As per our findings the issue is caused by the below upstream commit:

d3252ace0bc652a1a244455556b6a549f969bf99 ("PCI: Restore resized BAR state on resume")

We see that the same commit has been ported to UBUNTU18.X - PCI: Restore resized BAR state on resume (bsc#1105355).

the fix has been submitted to upstream https://patchwork.kernel.org/patch/11058689/

please include this patch in the upcoming releases.please let me know if additional information required.

https://bugzilla.kernel.org/show_bug.cgi?id=203939

[Test case]

See that suspend/resume works correctly after applying the patch

[Regression potential]

slim, itself fixes a regression

Changed to be a kernel bug, as this doesn't seem for bind9 (as reported right now)

affects: bind9 (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1838751

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Anand Lodnoor (anandrl) wrote :

The BUG #1838755 is a kernel BUG (related to PCI subsystem), which is analysed and fix is also provided.
The fix is reviewed by the PCI subsystem maintainers and is submitted to the upstream. Will share the commit id once accepted.

Timo Aaltonen (tjaalton) on 2019-09-09
description: updated
Changed in linux (Ubuntu Bionic):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2019-09-09
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) on 2019-09-09
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) on 2019-09-16
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.3.0-12.13

---------------
linux (5.3.0-12.13) eoan; urgency=medium

  * Change kernel compression method to improve boot speed (LP: #1840934)
    - [Packaging] Add lz4 build dependency for s390x

  * Miscellaneous Ubuntu changes
    - SAUCE: Remove spl and zfs source

linux (5.3.0-11.12) eoan; urgency=medium

  * eoan/linux: 5.3.0-11.12 -proposed tracker (LP: #1844144)

  * Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas
    adapters(SAS3.5 onwards) (LP: #1838751)
    - PCI: Restore Resizable BAR size bits correctly for 1MB BARs

  * s390/setup: Actually init kernel lock down (LP: #1843961)
    - SAUCE: (lockdown) s390/setup: Actually init kernel lock down

  * cherrypick has_sipl fix (LP: #1843960)
    - SAUCE: s390/sclp: Fix bit checked for has_sipl

  * Change kernel compression method to improve boot speed (LP: #1840934)
    - [Config]: Switch kernel compression from LZO to LZ4 on s390x

  * Installation fails on eoan/PowerVM : missing /dev/nvram (LP: #1837726)
    - [Config] CONFIG_NVRAM=y for ppc64el

  * Miscellaneous Ubuntu changes
    - [Config]: remove nvram from ppc64el modules ABI
    - [Config] Update annotations for recent config changes
    - SAUCE: sched: Add __ASSEMBLY__ guards around struct clone_args
    - SAUCE: i2c: qcom-geni: Disable DMA processing on the Lenovo Yoga C630
    - SAUCE: arm64: dts: qcom: Add Lenovo Yoga C630
    - update dkms package versions

  [ Upstream Kernel Changes ]

  * Rebase to v5.3

 -- Seth Forshee <email address hidden> Tue, 17 Sep 2019 13:36:26 +0200

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Disco):
status: New → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1024.27

---------------
linux-oem-osp1 (5.0.0-1024.27) bionic; urgency=medium

  * bionic/linux-oem-osp1: <version to be filled> -proposed tracker
    (LP: #1846023)

  * alsa/sof: fix the hang issue on Dell Nebula MP platforms (LP: #1845904)
    - ALSA: hda: clear output link mappinp
    - ALSA: SOF: disable L1SEN for capture stream
    - ALSA: sof: refine stop-start sequence for driver and FW
    - ALSA: sof: disable debug message for production release

  [ Ubuntu: 5.0.0-31.33 ]

  * disco/linux: 5.0.0-31.33 -proposed tracker (LP: #1846026)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * /proc/self/maps paths missing on live session (was vlc won't start; eoan
    19.10 & bionic 18.04 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate dailies)
    (LP: #1842382)
    - SAUCE: Revert "UBUNTU: SAUCE: shiftfs: enable overlayfs on shiftfs"

 -- Timo Aaltonen <email address hidden> Fri, 04 Oct 2019 11:24:05 +0300

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released

Hi @anandrl,

Could you please check whether the Disco linux kernel currently in -proposed fixes this issue?

Thank you.

Anand Lodnoor (anandrl) wrote :

Hi @kleber-souza,

Referring to the previous conversations by janitor,(where he said this bug was fixed in the package linux - 5.3.0-12.13 Launchpad Janitor (janitor) wrote on 2019-09-27:) i did follow the instructions provided (https://wiki.ubuntu.com/Testing/EnableProposed) to upgrade to the kernel version 5.3.0-12-generic and tested.

But i see issue still exists. I doubt if i have picked the proper kernel where the fix is provided.

@Could you please check whether the Disco linux kernel currently in -proposed fixes this issue?
Would you please provide the link/attach the kernel image, i will test it again quickly and get back to you at the earliest.

Thanks,

Hi @anandrl,

The 5.3.0 kernels are from our series currently in -development, which is Eoan. Disco is based on 5.0.0 kernels. You can either check your /etc/apt/sources.list, or any files under /etc/apt/sources.list.d/, check whether you have a line enabling 'disco-proposed' and install the following package:

$ sudo apt install linux-generic=5.0.0.32.33

If you prefer to download the .deb packages and install them manually, please go to https://launchpad.net/ubuntu/+source/linux/5.0.0-32.34 and download the following packages for your architecture (likely amd64):

linux-headers-5.0.0-32 linux-headers-5.0.0-32-generic linux-image-5.0.0-32-generic linux-modules-5.0.0-32-generic linux-modules-extra-5.0.0-32-generic

After downloading the packages you can install them with '$ sudo dpkg -i <packages>'.

Thank you.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1024.27

---------------
linux-oem-osp1 (5.0.0-1024.27) bionic; urgency=medium

  * bionic/linux-oem-osp1: <version to be filled> -proposed tracker
    (LP: #1846023)

  * alsa/sof: fix the hang issue on Dell Nebula MP platforms (LP: #1845904)
    - ALSA: hda: clear output link mappinp
    - ALSA: SOF: disable L1SEN for capture stream
    - ALSA: sof: refine stop-start sequence for driver and FW
    - ALSA: sof: disable debug message for production release

  [ Ubuntu: 5.0.0-31.33 ]

  * disco/linux: 5.0.0-31.33 -proposed tracker (LP: #1846026)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * /proc/self/maps paths missing on live session (was vlc won't start; eoan
    19.10 & bionic 18.04 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate dailies)
    (LP: #1842382)
    - SAUCE: Revert "UBUNTU: SAUCE: shiftfs: enable overlayfs on shiftfs"

 -- Timo Aaltonen <email address hidden> Fri, 04 Oct 2019 11:24:05 +0300

Changed in linux-oem-osp1 (Ubuntu Disco):
status: New → Fix Released
status: New → Fix Released
Anand Lodnoor (anandrl) wrote :

Hi @kleber-souza,

I have validated the bug fix (Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas adapters(SAS3.5 onwards)).

The Disco linux kernel (disco/linux: 5.0.0-31.33 -proposed) fixes the issue.

Thank you.

Anand Lodnoor (anandrl) on 2019-10-15
Changed in linux-oem-osp1 (Ubuntu Disco):
status: Fix Released → New
tags: added: verification-done-disco
removed: verification-needed-bionic verification-needed-disco
Changed in linux-oem-osp1 (Ubuntu Disco):
status: New → In Progress
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (22.6 KiB)

This bug was fixed in the package linux - 5.0.0-32.34

---------------
linux (5.0.0-32.34) disco; urgency=medium

  * disco/linux: 5.0.0-32.34 -proposed tracker (LP: #1846097)

  * CVE-2019-14814 // CVE-2019-14815 // CVE-2019-14816
    - mwifiex: Fix three heap overflow at parsing element in cfg80211_ap_settings

  * CVE-2019-15505
    - media: technisat-usb2: break out of loop at end of buffer

  * CVE-2019-2181
    - binder: check for overflow when alloc for security context

  * Support Hi1620 zip hw accelerator (LP: #1845355)
    - [Config] Enable HiSilicon QM/ZIP as modules
    - crypto: hisilicon - add queue management driver for HiSilicon QM module
    - crypto: hisilicon - add hardware SGL support
    - crypto: hisilicon - add HiSilicon ZIP accelerator support
    - crypto: hisilicon - add SRIOV support for ZIP
    - Documentation: Add debugfs doc for hisi_zip
    - crypto: hisilicon - add debugfs for ZIP and QM
    - MAINTAINERS: add maintainer for HiSilicon QM and ZIP controller driver
    - crypto: hisilicon - fix kbuild warnings
    - crypto: hisilicon - add dependency for CRYPTO_DEV_HISI_ZIP
    - crypto: hisilicon - init curr_sgl_dma to fix compile warning
    - crypto: hisilicon - add missing single_release
    - crypto: hisilicon - fix error handle in hisi_zip_create_req_q
    - crypto: hisilicon - Fix warning on printing %p with dma_addr_t
    - crypto: hisilicon - Fix return value check in hisi_zip_acompress()
    - crypto: hisilicon - avoid unused function warning

  * xfrm interface: several kernel panic (LP: #1836261)
    - xfrm interface: fix memory leak on creation
    - xfrm interface: avoid corruption on changelink
    - xfrm interface: ifname may be wrong in logs
    - xfrm interface: fix list corruption for x-netns
    - xfrm interface: fix management of phydev

  * shiftfs: drop entries from cache on unlink (LP: #1841977)
    - SAUCE: shiftfs: fix buggy unlink logic

  * shiftfs: mark kmem_cache as reclaimable (LP: #1842059)
    - SAUCE: shiftfs: mark slab objects SLAB_RECLAIM_ACCOUNT

  * Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas
    adapters(SAS3.5 onwards) (LP: #1838751)
    - PCI: Restore Resizable BAR size bits correctly for 1MB BARs

  * No sound inputs from the external microphone and headset on a Dell machine
    (LP: #1842265)
    - ALSA: hda - Expand pin_match function to match upcoming new tbls
    - ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family

  * Add -fcf-protection=none when using retpoline flags (LP: #1843291)
    - SAUCE: kbuild: add -fcf-protection=none when using retpoline flags

  * Disco update: upstream stable patchset 2019-09-25 (LP: #1845390)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Mediatek based smartphones
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - isdn/capi: check message length in capi_write()
    - ixgbe: Fix secpath usage for IPsec TX offload.
    - net: Fix null de-reference of device refcount
    - net: gso: Fix skb_segment splat when splitting gso_size mangled skb having
      linear-headed frag_list
    - net: phylink: Fix flow control resolution
    - net: s...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (26.0 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1025.28

---------------
linux-oem-osp1 (5.0.0-1025.28) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1025.28 -proposed tracker
    (LP: #1846095)

  * Fix non-working Realtek USB ethernet after system resume (LP: #1847063)
    - r8152: remove extra action copying ethernet address
    - r8152: Refresh MAC address during USBDEVFS_RESET
    - r8152: Set macpassthru in reset_resume callback

  * drm/i915: Fix the issue of "azx_get_response timeout" for hdmi audio on ICL
    platforms (LP: #1847192)
    - SAUCE: drm/i915: Fix audio power up sequence for gen10+ display
    - SAUCE: drm/i915: extend audio CDCLK>=2*BCLK constraint to more platforms

  * [CML-U] Comet lake platform need ISH driver support (LP: #1843775)
    - HID: intel-ish-hid: Add Comet Lake PCI device ID

  * [CML] New device IDs for CML-U (LP: #1843774)
    - spi-nor: intel-spi: Add support for Intel Comet Lake SPI serial flash

  * Add new pci-id's for CML-S, ICL (LP: #1845317)
    - drm/i915/icl: Add missing device ID
    - drm/i915/cml: Add Missing PCI IDs

  * Thunderbolt support for ICL (LP: #1844680)
    - thunderbolt: Drop duplicated get_switch_at_route()
    - thunderbolt: Move LC specific functionality into a separate file
    - thunderbolt: Cache adapter specific capability offset into struct port
    - thunderbolt: Rename tunnel_pci to tunnel
    - thunderbolt: Generalize tunnel creation functionality
    - thunderbolt: Add functions for allocating and releasing HopIDs
    - thunderbolt: Assign remote for both ports in case of dual link
    - thunderbolt: Add helper function to iterate from one port to another
    - thunderbolt: Extend tunnel creation to more than 2 adjacent switches
    - thunderbolt: Correct path indices for PCIe tunnel
    - thunderbolt: Move NVM upgrade support flag to struct icm
    - thunderbolt: Use 32-bit writes when writing ring producer/consumer
    - thunderbolt: Do not fail adding switch if some port is not implemented
    - thunderbolt: Hide switch attributes that are not set
    - thunderbolt: Expose active parts of NVM even if upgrade is not supported
    - thunderbolt: Add support for Intel Ice Lake
    - ACPI / property: Add two new Thunderbolt property GUIDs to the list

  * Intel 1650s/Wi-Fi 6 AX201 cannot connect to 802.11AX networks (LP: #1845138)
    - cfg80211: add and use strongly typed element iteration macros
    - mac80211: use element iteration macro in parsing
    - cfg80211: add various struct element finding helpers
    - nl80211: use for_each_element() in validate_ie_attr()
    - mac80211: pass bssids to elements parsing function
    - mac80211: move the bss update from elements to an helper
    - cfg80211: Parsing of Multiple BSSID information in scanning
    - cfg80211: use for_each_element() for multi-bssid parsing
    - cfg80211: Properly track transmitting and non-transmitting BSS
    - cfg80211: Move Multiple BSS info to struct cfg80211_bss to be visible
    - cfg80211: parse multi-bssid only if HW supports it
    - cfg80211: make BSSID generation function inline
    - cfg80211: save multi-bssid properties
    - mac80211: support multi-bssid
    - ...

Changed in linux-oem-osp1 (Ubuntu):
status: New → Fix Released
status: New → Fix Released

All autopkgtests for the newly accepted linux-bluefield (5.0.0-1003.12) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

fsprotect/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-bluefield

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers